OGRE: Ogre::QueuedRenderableVisitor Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::QueuedRenderableVisitor Class Referenceabstract
Core » RenderSystem

Visitor interface for items in a QueuedRenderableCollection. More...

`#include <OgreRenderQueueSortingGrouping.h>`

Inheritance diagram for Ogre::QueuedRenderableVisitor:
[legend]

## Public Member Functions
| QueuedRenderableVisitor ()
virtual | ~QueuedRenderableVisitor ()
virtual void | visit (const Pass *p, RenderableList &rs)=0
| When visiting a collection grouped by pass, this is called.
virtual void | visit (RenderablePass *rp)=0
| Called when visiting a RenderablePass, i.e.

## Detailed Description

Visitor interface for items in a QueuedRenderableCollection.

Those wishing to iterate over the items in a QueuedRenderableCollection should implement this visitor pattern, since internal organisation of the collection depends on the sorting method in use.

## Constructor & Destructor Documentation

## ◆ QueuedRenderableVisitor()

Ogre::QueuedRenderableVisitor::QueuedRenderableVisitor | ( |  | ) |
| inline

## ◆ ~QueuedRenderableVisitor()

virtual Ogre::QueuedRenderableVisitor::~QueuedRenderableVisitor | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ visit() [1/2]

virtual void Ogre::QueuedRenderableVisitor::visit | ( | RenderablePass * | rp | ) |
| pure virtual

Called when visiting a RenderablePass, i.e.

items in a sorted collection where items are not grouped by pass.

If this is called, the other visit method will not be called.

Implemented in Ogre::SceneManager::SceneMgrQueuedRenderableVisitor.

## ◆ visit() [2/2]

virtual void Ogre::QueuedRenderableVisitor::visit | ( | const Pass * | p,
|  | RenderableList & | rs )
| pure virtual

When visiting a collection grouped by pass, this is called.

If this method is called, the RenderablePass visit method will not be called for this collection.

Implemented in Ogre::SceneManager::SceneMgrQueuedRenderableVisitor.

The documentation for this class was generated from the following file:

- OgreRenderQueueSortingGrouping.h